using System;

namespace zadatak2
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] A = new double[n];
            double[] P = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] niz = Console.ReadLine().Split();
                A[i] = double.Parse(niz[0]);
                P[i] = double.Parse(niz[1]);
            }         
            double suma = 0;
            double maxzarada = 0;
            for (int i = 0; i <n; i++)
            {
                for (int j = 0; j < n; j++)
                {
                    if (P[i] <= P[j])
                        suma += A[j];
                }
                 double zarada = (suma * P[i]) / 100;
                if (maxzarada < zarada)
                    maxzarada = zarada;
                suma = 0;
            }
            Console.WriteLine(maxzarada);

        }
    }
}